Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class Equals

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.condition.Equals

All Implemented Interfaces:
  Condition

public class Equals
extends java.lang.Object
implements Condition

Simple String comparison condition.

Since:
  Ant 1.4
Version:
  $Revision: 1.10.2.4 $

Constructor Summary
`Equals()`

Method Summary
`boolean` | `eval()` Is this condition true?
`void` | `setArg1(java.lang.String a1)` Set the first string
`void` | `setArg2(java.lang.String a2)` Set the second string
`void` | `setCasesensitive(boolean b)` Should the comparison be case sensitive?
`void` | `setTrim(boolean b)` Should we want to trim the arguments before comparing them?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Equals

    public Equals()

Method Detail

### setArg1

    public void setArg1(java.lang.String a1)

  Set the first string

  Parameters:
    `a1` - the first string

### setArg2

    public void setArg2(java.lang.String a2)

  Set the second string

  Parameters:
    `a2` - the second string

### setTrim

    public void setTrim(boolean b)

  Should we want to trim the arguments before comparing them?

  Parameters:
    `b` - if true trim the arguments
  Since:
    Ant 1.5

### setCasesensitive

    public void setCasesensitive(boolean b)

  Should the comparison be case sensitive?

  Parameters:
    `b` - if true use a case sensitive comparison (this is the default)
  Since:
    Ant 1.5

### eval

    public boolean eval()
                 throws BuildException

  Description copied from interface: `Condition`
  Is this condition true?

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the two strings are equal
  Throws:
    `BuildException` - if the attributes are not set correctly

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.